## 什么是蜜罐

**蜜罐** 技术本质上是一种对攻击方进行 **欺骗的技术**，通过布置一些作为 **诱饵的主机**、**网络服务** 以及 **操作系统**等，诱使攻击方对它们实施攻击，从而可以**捕获攻击行为**进行 **分析、溯源、反制**等操作。

了解攻击方所使用的工具与方法，推测攻击意图和动机，能够让防御方清晰地了解他们所面对的安全威胁，并通过技术和管理手段来增强实际系统的安全防护能力。

**蜜罐** 是企业内部私有的 **情报收集系统**。通过对蜜罐本身的设定以及蜜饵的铺洒与运营 **引诱黑客前来攻击**。所以攻击者触碰陷阱时，你就可以知道他是如何得逞的，随时了解针对服务器发动的最新的攻击和漏洞。还可以通过窃听攻击之间的联系，收集黑客所用的种种工具，最终掌握他们的攻击路径与手法，知己知彼。



## HFish特点

+ 安全可靠：主打低中交互蜜罐，简单有效；

+ 蜜罐丰富：支持SSH、FTP、TFTP、MySQL、Redis、Telnet、VNC、Memcache、Elasticsearch、Wordpress、OA系统等10多种蜜罐服务，支持用户制作自定义Web蜜罐；

+ 开放透明：支持对接微步在线X社区API、五路syslog输出、支持邮件、钉钉、企业威胁、飞书、自定义WebHook告警输出；
+ 快捷管理：支持单个安装包批量部署，支持批量修改端口和服务；

+ 跨平台：支持Linux x32/x64/ARM、Windows x32/x64平台；



## HFish架构

HFish由控制端和节点端组成，控制端用来生成和管理节点端，并接收、分析和展示节点端回传的数据，节点端接受控制端的控制并负责构建蜜罐服务。

> 蜜罐工作原理

![image-20210611130621311](http://img.threatbook.cn/hfish/20210616174908.png)



> 融合在企业网络中

![image-20210611130733084](http://img.threatbook.cn/hfish/20210616174930.png)



## HFish设计理念

HFish承载了全新的架构理念和实现方案，增加了蜜罐在威胁情报和诱捕溯源领域的能力，帮助企业在红蓝对抗中自动化的对攻击者进行画像和追溯。

此外，我们将重点关注企业安全场景，从攻击、处置、溯源角度提升产品联通能力。从威胁分析、告警策略与办公管理多方面出发，为企业用户提供更高的可用性与可拓展性。

我们深知企业环境特殊性，为了便于快速部署和敏捷管理，HFish提供了一系列方便运维和管理的技术，包括：一键闪电部署、应用模板批量管理、节点服务动态调整等特性…… 



## 我们的故事

2019年的8月7日，我们发布了自己的第一款开源蜜罐，在16个月里，在Github上获得2.6k个star，在Gitee上成为安全类目TOP5的GVP项目。 

2021年2月9日，融合社区反馈和过去2年的思考，我们发布了全新概念的威胁捕捉和诱骗系统 HFish V2，采用闭源共享方式向所有用户免费授权使用。

